SplQueue
SplQueue::dequeue
SplQueue
PHP Manual

# SplQueue::__construct

Constructs a new queue implemented using a doubly linked list

### Description

SplQueue::__construct ( void )

This constructs a new empty queue.

> Note:

> This method automatically sets the iterator mode to SplDoublyLinkedList::IT_MODE_FIFO.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### Examples

Example #1 SplQueue::__construct example

`<?php
$q = new SplQueue();
$q[] = 1;
$q[] = 2;
$q[] = 3;
foreach ($q as $elem) {
echo $elem."\n";
}
?>`

The above example will output:

    1
    2
    3

Example #2 Efficiently handling tasks with SplQueue

`<?php
$q = new SplQueue();
$q->setIteratorMode(SplQueue::IT_MODE_DELETE);
// ... enqueue some tasks on the queue ...
// process them
foreach ($q as $task) {
// ... process $task ...
// add new tasks on the queue
$q[] = $newTask;
// ...
}
?>`